/***************************************************************************
                  

                          pongball.h 
                          the ball in a game of pong, used in bluePong
                             -------------------
    begin                : Mon Mai 26 2003
    copyright            : (C) 2003 by Thomas Unterthiner
    email                : thomas_unterthiner@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PONGBALL_H
#define PONGBALL_H

#include "colorsprite.h"

class PongBall : public ColorSprite
{
public: 
	PongBall(int PosX, int PosY, int Width, int Height,
	         Uint32 Color, Uint32 BackgroundColor = 0,
	         int SpeedX = 1,
	         int SpeedY = 1);
	// normal Ctor
	
	~PongBall() {};
	// void Dtor

	void move();	// overwrites ColorSprite::move()
	// moves the ball with the speed defined by SpeedX and SpeedY
	
	// members for dealing with the ball-speed
	int getSpeedX() const {return mSpeedX;}
	int getSpeedY() const {return mSpeedY;}
	void setSpeedX(int newSpeed) {mSpeedX = newSpeed;}
	void setSpeedY(int newSpeed) {mSpeedY = newSpeed;}

private:
	int mSpeedX;
	int mSpeedY;
};

#endif
