/***************************************************************************

                          pongplayer.cpp
                          a very simple player-class for bluePong
                             -------------------
    begin                : Die Mai 27 2003
    copyright            : (C) 2003 by Thomas Unterthiner
    email                : thomas_unterthiner@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pongplayer.h"

PongPlayer::PongPlayer(Uint32 Color, char* Name,
                       SDLKey* Keys,
                       unsigned short KeyCount,
                       PongPaddle& Paddle,
                       PlayerSide Side)
/*****************************************************************************
 * the normal Ctor
 *****************************************************************************/
           : mPoints(0),
             mColor(Color),
             mKeyCount(KeyCount),
             mPaddle(Paddle),
             mSide(Side)
{
	mKeys = new SDLKey[KeyCount];
	for (unsigned short i = 0; i < mKeyCount; ++i)
	{
		mKeys[i] = Keys[i];
	}
	
	mName = new char[ strlen(Name) ];
	strcpy(mName, Name);
}



PongPlayer::~PongPlayer()
/*****************************************************************************
 * the normal Dtor
 *****************************************************************************/
{
	delete mName;
	delete mKeys;
}

int PongPlayer::addPoint(int Amount)
/*****************************************************************************
 * adds points (1 point per default)
 * 	RETURNS
 * 		remaining points AFTER adding the points
 *****************************************************************************/
{
	return mPoints+=Amount;
}

